CatalogSize Guides
Update size guide
Updates a size guide. The change applies to every product it is assigned to.
PUT
/v1/catalog/size-guides/{sizeGuideId}Updates a size guide. The change applies to every product it is assigned to.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
sizeGuideId*string
Identifier of the size guide.
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/catalog/size-guides/7204558912004325301" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "slug": "example-resource", "description": "Example description.", "imageUrl": "https://example.com/resource", "gender": "unisex", "measurementType": "body", "unit": "cm", "status": "draft" }'Empty